# Created by pyp2rpm-3.3.5
%global pypi_name pytest-mpl

Name:           python-%{pypi_name}
Version:        0.17.0
Release:        %mkrel 2
Summary:        pytest plugin to help with testing figures output from Matplotlib
Group:          Development/Python
License:        BSD
URL:            https://github.com/matplotlib/pytest-mpl
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(importlib-resources)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(packaging)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This is a plugin to facilitate image comparison for Matplotlib in pytest. For
each figure to test, the reference image is subtracted from the generated
image, and the RMS of the residual is compared to a user-specified tolerance.
If the residual is too large, the test will fail (this is implemented using
helper functions from matplotlib.testing).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a plugin to facilitate image comparison for Matplotlib in pytest. For
each figure to test, the reference image is subtracted from the generated
image, and the RMS of the residual is compared to a user-specified tolerance.
If the residual is too large, the test will fail (this is implemented using
helper functions from matplotlib.testing).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_mpl

%check
# Skip networked tests.
#MPLBACKEND=Agg %%{pytest} --mpl tests -k 'not test_succeeds_remote and not test_succeeds_faulty_mirror'
#MPLBACKEND=Agg %%{pytest} tests -k 'not test_succeeds_remote and not test_succeeds_faulty_mirror'

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst tests/subtests/README.rst



%changelog
* Mon Mar 03 2025 daviddavid <daviddavid> 0.17.0-2.mga10
+ Revision: 2159153
- rebuild for python 3.13

* Sat Feb 01 2025 daviddavid <daviddavid> 0.17.0-1.mga10
+ Revision: 2144088
- new version: 0.17.0

* Fri Dec 08 2023 wally <wally> 0.16.1-3.mga10
+ Revision: 2015747
- rebuild for py3.12

* Fri Jan 06 2023 wally <wally> 0.16.1-2.mga9
+ Revision: 1930617
- fix python3dist version info
- rely on autogenerated reqs
- clean description

* Fri Nov 25 2022 papoteur <papoteur> 0.16.1-1.mga9
+ Revision: 1911005
- imported package python-pytest-mpl

